Переполнение буфера в реализации SHA2 в NetBSD

Дата публикации:
29.07.2009
Дата изменения:
29.07.2009
Всего просмотров:
2030
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NetBSD 4.0
Уязвимые версии: NetBSD 4.0

Описание:
Уязвимость позволяет удаленному пользователю произвести DoS атаку.

Уязвимость существует из-за ошибки проверки границ данных в реализации SHA2. Удаленный пользователь может вызвать четырех или восьмибайтное переполнение буфера, что может привести к переполнению динамической памяти в библиотеке libssh и к переполнению стека в pkg_install.

URL производителя: www.netbsd.org/releases/formal-4/NetBSD-4.0.html

Решение: Установите исправление из CVS репозитория производителя.

Ссылки: NetBSD Security Advisory 2009-012: SHA2 implementation potential buffer overflow

или введите имя

CAPTCHA